
package cz.upol.pja.lecture02;

import javax.inject.Named;
import javax.enterprise.context.RequestScoped;
import javax.inject.Inject;

@Named("gameController")
@RequestScoped
public class GameController {

    // provede automaticke provazani s prislousnou session-bean
    @Inject private Game game;
    
    // hodnota vstupniho pole
    private String inputChar;
    
    public GameController() {
    }
    
    /**
     * Zahaji novou hru
     */
    public String startNewGame() {
        game.initializeGame();
        
	// prejde na stranku game-page
        return "game-page";
    }
    
    /**
     * Akce, ktera je vyvolana, pokud se uzivatel pokusil uhadnout jeden znak
     * @return stranku, kterou se ma pokracovat
     */
    public String guess() {
        game.addCharacter(inputChar.charAt(0));
        inputChar = "";
        if (game.getCharacters().contains('?')) {
		// pokracuje ve hre
		return "game-page";
	} else {
		// prejde na stranku win
		return "win";
	}
    }
    
    //
    // gettery & settery
    //

    public String getInputChar() {
        return inputChar;
    }

    public void setInputChar(String inputChar) {
        this.inputChar = inputChar;
    }
}
